#ifndef QTEXTLABEL_H
#define QTEXTLABEL_H

#include <QLabel>

class CanvasItem;

class QTextLabel : public QLabel
{
	friend class CanvasItem;
	Q_OBJECT
public:
	QTextLabel(CanvasItem *canvasItem, QWidget *parent = 0);
	~QTextLabel();
protected:
	void paintEvent(QPaintEvent *e);
private:
	CanvasItem *item;
	int textWidth;
	QString shownText;
};

#endif
